curl --request PUT \
--url https://api.sandbox.goteal.co/authorisations/{authorisation_id}/revoke \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.sandbox.goteal.co/authorisations/{authorisation_id}/revoke"
headers = {"X-API-KEY": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.sandbox.goteal.co/authorisations/{authorisation_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7f3b8c2a-1d4e-4f6a-8b8c-9a0b1c2d3e4f",
"status": "active",
"ip_address": "192.168.1.1",
"is_valid": true,
"accepted_at": "2019-05-17T00:00:00.000Z",
"created_at": "2019-05-17T00:00:00.000Z",
"user_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36",
"revoked_at": "2019-05-17T00:00:00.000Z",
"expires_at": "2019-05-17T00:00:00.000Z",
"term_id": "550e8400-e29b-41d4-a716-446655440000",
"fingerprint": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
}{
"errors": [
"The request is missing the required field `name`"
]
}{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}{
"errors": [
"The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does not exist"
]
}Revoke an Authorisation
Authorizations
Path Parameters
ID of the authorisation to revoke
Response
OK
Unique identifier for the authorisation record
"7f3b8c2a-1d4e-4f6a-8b8c-9a0b1c2d3e4f"
The status of a authorisation record
active, revoked, expired "active"
Optional IP address of the user. If not provided, captured from request headers. Use when recording authorisation via server-to-server calls.
"192.168.1.1"
Whether this authorisation is currently valid. True when status is active AND the associated term is active.
true
Server timestamp when the authorisation was accepted
"2019-05-17T00:00:00.000Z"
When the authorisation record was created
"2019-05-17T00:00:00.000Z"
The ID of the user accepting the authorisation
"95a0e70b-fe02-4f47-aef9-2efff279df71"
User agent string of the browser or application
"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36"
Server timestamp when the authorisation was revoked
"2019-05-17T00:00:00.000Z"
Expiry timestamp for the authorisation. Present for one-time authorisations, which expire 1 day after acceptance. Null for recurring authorisations.
"2019-05-17T00:00:00.000Z"
The ID of the authorisation term being accepted. If not provided, auto-resolves to the latest active term based on user's recurring check configuration.
"550e8400-e29b-41d4-a716-446655440000"
Optional device or browser fingerprint for additional verification
"a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"